Skip to main content
`Ctrl`+`K`

# VecViennaCLResetArray

Resets a vector to use its default memory. Call this after the use of VecViennaCLPlaceArray().

## Synopsis

    #include "petscvec.h"
    PETSC_EXTERN PetscErrorCode VecViennaCLResetArray(Vec vin)

Not Collective

## Input Parameters

- vin - the vector

## See Also

`VecViennaCLPlaceArray()`, `VecResetArray()`, `VecCUDAResetArray()`, `VecPlaceArray()`

## Level

developer

## Location

src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages